public class TestStackQueue {
  public static void main(String[] args) {
    // Tworzenie stosu
    GenericStack<String> stack = new GenericStack<>();

    // Umieszczanie elementów na stosie
    stack.push("Tomek"); // Umieszczanie Tomek na stosie
    System.out.println("(1) " + stack);

    stack.push("Sylwia"); // Umieszczanie Sylwia na stosie
    System.out.println("(2) " + stack);

    stack.push("Kasia"); // Umieszczanie Kasia na stosie
    stack.push("Michał"); // Umieszczanie Michał na stosie
    System.out.println("(3) " + stack);

    // Usuwanie elementów ze stosu
    System.out.println("(4) " + stack.pop());
    System.out.println("(5) " + stack.pop());
    System.out.println("(6) " + stack);

    // Tworzenie kolejki
    GenericQueue<String> queue = new GenericQueue<>();

    // Dodawanie elementów do kolejki
    queue.enqueue("Tomek"); // Dodawanie Tomek do kolejki
    System.out.println("(7) " + queue);

    queue.enqueue("Sylwia"); // Dodawanie Sylwia do kolejki
    System.out.println("(8) " + queue);

    queue.enqueue("Kasia"); // Dodawanie Kasia do kolejki
    queue.enqueue("Michał"); // Dodawanie Michał do kolejki
    System.out.println("(9) " + queue);

    // Usuwanie elementów z kolejki
    System.out.println("(10) " + queue.dequeue());
    System.out.println("(11) " + queue.dequeue());
    System.out.println("(12) " + queue);
  }
}
